summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDan Goodliffe <dan@randomdan.homeip.net>2017-07-02 13:25:36 +0100
committerDan Goodliffe <dan@randomdan.homeip.net>2017-07-02 13:28:06 +0100
commitd833cdd812d47ba27095100e7498a9b54d55f928 (patch)
treed0544690ef3099b003da1628127c7400ac008598 /eclass
parentAdHoc utils bump (diff)
downloadportage-d833cdd812d47ba27095100e7498a9b54d55f928.tar.bz2
portage-d833cdd812d47ba27095100e7498a9b54d55f928.tar.xz
portage-d833cdd812d47ba27095100e7498a9b54d55f928.zip
Move more functionality into bjam eclass
Diffstat (limited to 'eclass')
-rw-r--r--eclass/bjam.eclass19
1 files changed, 19 insertions, 0 deletions
diff --git a/eclass/bjam.eclass b/eclass/bjam.eclass
index f2007d9..6d8d662 100644
--- a/eclass/bjam.eclass
+++ b/eclass/bjam.eclass
@@ -8,13 +8,32 @@
# @BLURB:
# @DESCRIPTION:
+inherit eutils
+
src_prepare() {
ebegin "Setting portage CXX and LD flags"
sed -i "s|^using gcc .*|using gcc : : : <compileflags>\"${CXXFLAGS}\" <linkflags>\"${LDFLAGS}\" ;|" ${S}/Jamroot.jam
eend $?
}
+src_test() {
+ bjambuild || die
+}
+
bjambuild() {
setarch $(uname -m) -RL b2 ${BJAMOPTS} variant=release -q $@
}
+doxygenbuild() {
+ mkdir -p ${D}/usr/share/man
+ find ${S} -name Doxyfile -printf '%h %p\n' | while read d p ; do
+ ebegin "Building documentation in $d"
+ sed -i 's/^\(GENERATE_\w*\).*/\1 = NO/' "$p"
+ echo OUTPUT_DIRECTORY = ${D}/usr/share >> "$p"
+ echo PROJECT_NUMBER = ${PV} >> "$p"
+ echo GENERATE_MAN = YES >> "$p"
+ ( cd "$d" && doxygen )
+ eend 0
+ done
+}
+